> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/fiat-settlements/bank-withdrawal-webhooks.md).

# Bank withdrawal webhooks

Txn sends a bank withdrawal webhook each time a bank withdrawal transaction's `simplifiedState` changes. The payload mirrors the [Read bank withdrawal](/fiat-settlements/reading-bank-withdrawal.md) endpoint response.

The tabs below show example payloads for each state.

For configuring webhook URLs, retry behaviour, source IPs, and signature verification, see the general [Webhooks](/api-basics/webhooks.md) section.

{% tabs %}
{% tab title="Pending" %}

```json
{
  "data": {
    "attributes": {
      "amount": "-1.01",
      "createdAt": "2025-01-28T17:21:13.534Z",
      "reference": null,
      "simplifiedState": "pending",
      "transactionType": "BankWithdrawalTransaction"
    },
    "id": "a67076da-14cc-4f20-a443-8ffe1766fd31",
    "relationships": {
      "account": {
        "meta": {
          "included": false
        }
      },
      "transactionDetails": {
        "data": {
          "id": "a67076da-14cc-4f20-a443-8ffe1766fd31",
          "type": "bank_withdrawal_transactions"
        }
      }
    },
    "type": "transactions"
  },
  "included": [
    {
      "attributes": {
        "absorbFees": true,
        "amount": "1.01",
        "bankBic": "GUPULT22XXX",
        "bankName": "BANK NAME",
        "beneficiaryName": "Acme Ltd",
        "createdAt": "2025-01-28T17:21:13.493Z",
        "currency": "EUR",
        "fee": "0.01",
        "iban": "LT563400023810000822",
        "payAmount": "1.00",
        "paymentStatus": "created",
        "reference": "BDR6421088115176062",
        "state": "pending",
        "updatedAt": "2025-01-28T17:21:13.493Z"
      },
      "id": "a67076da-14cc-4f20-a443-8ffe1766fd31",
      "relationships": {
        "account": {
          "data": {
            "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
            "type": "accounts"
          }
        },
        "bankAccount": {
          "data": {
            "id": "849b4c2d-698b-4bde-9203-5cddcb8ea6e1",
            "type": "bank_accounts"
          }
        }
      },
      "type": "bank_withdrawal_transactions"
    },
    {
      "attributes": {
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME",
        "beneficiaryName": "Acme Ltd",
        "createdAt": "2024-11-21T14:01:20.154Z",
        "currencyCode": "EUR",
        "iban": "LT563400023810000822",
        "updatedAt": "2024-12-27T13:52:12.012Z"
      },
      "id": "849b4c2d-698b-4bde-9203-5cddcb8ea6e1",
      "type": "bank_accounts"
    },
    {
      "attributes": {
        "balance": "32218.80",
        "currencyCode": "EUR",
        "currencyType": "fiat"
      },
      "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      },
      "type": "accounts"
    }
  ],
  "meta": {}
}
```

{% endtab %}

{% tab title="Completed" %}

```json
{
  "data": {
    "attributes": {
      "amount": "-1.01",
      "createdAt": "2025-01-28T17:22:11.008Z",
      "reference": null,
      "simplifiedState": "completed",
      "transactionType": "BankWithdrawalTransaction"
    },
    "id": "a67076da-14cc-4f20-a443-8ffe1766fd31",
    "relationships": {
      "account": {
        "meta": {
          "included": false
        }
      },
      "transactionDetails": {
        "data": {
          "id": "a67076da-14cc-4f20-a443-8ffe1766fd31",
          "type": "bank_withdrawal_transactions"
        }
      }
    },
    "type": "transactions"
  },
  "included": [
    {
      "attributes": {
        "absorbFees": true,
        "amount": "1.01",
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME",
        "beneficiaryName": "Acme Ltd",
        "createdAt": "2025-01-28T17:21:13.493Z",
        "currency": "EUR",
        "fee": "0.01",
        "iban": "LT563400023810000822",
        "payAmount": "1.00",
        "paymentStatus": "completed",
        "reference": "BDR6421088115176062",
        "state": "completed",
        "updatedAt": "2025-01-28T17:22:11.002Z"
      },
      "id": "a67076da-14cc-4f20-a443-8ffe1766fd31",
      "relationships": {
        "account": {
          "data": {
            "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
            "type": "accounts"
          }
        },
        "bankAccount": {
          "data": {
            "id": "849b4c2d-698b-4bde-9203-5cddcb8ea6e1",
            "type": "bank_accounts"
          }
        }
      },
      "type": "bank_withdrawal_transactions"
    },
    {
      "attributes": {
        "bankBic": "GUPULT22XXX",
        "bankName": "GURU PAY",
        "beneficiaryName": "Acme Ltd",
        "createdAt": "2024-11-21T14:01:20.154Z",
        "currencyCode": "EUR",
        "iban": "LT563400023810000822",
        "updatedAt": "2024-12-27T13:52:12.012Z"
      },
      "id": "849b4c2d-698b-4bde-9203-5cddcb8ea6e1",
      "type": "bank_accounts"
    },
    {
      "attributes": {
        "balance": "32218.80",
        "currencyCode": "EUR",
        "currencyType": "fiat"
      },
      "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      },
      "type": "accounts"
    }
  ],
  "meta": {}
}
```

{% endtab %}

{% tab title="Cancelled" %}

```json
{
  "data": {
    "attributes": {
      "amount": "-1.01",
      "createdAt": "2025-01-28T17:24:27.302Z",
      "reference": null,
      "simplifiedState": "cancelled",
      "transactionType": "BankWithdrawalTransaction"
    },
    "id": "29e9704e-7ddc-4690-8f08-bb0fd7aad801",
    "relationships": {
      "account": {
        "meta": {
          "included": false
        }
      },
      "transactionDetails": {
        "data": {
          "id": "29e9704e-7ddc-4690-8f08-bb0fd7aad801",
          "type": "bank_withdrawal_transactions"
        }
      }
    },
    "type": "transactions"
  },
  "included": [
    {
      "attributes": {
        "absorbFees": true,
        "amount": "1.01",
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME",
        "beneficiaryName": "Acme Ltd",
        "createdAt": "2025-01-28T17:24:11.463Z",
        "currency": "EUR",
        "fee": "0.01",
        "iban": "LT563400023810000822",
        "payAmount": "1.00",
        "paymentStatus": "cancelled",
        "reference": "BDR6421088115176062",
        "state": "cancelled",
        "updatedAt": "2025-01-28T17:24:27.293Z"
      },
      "id": "29e9704e-7ddc-4690-8f08-bb0fd7aad801",
      "relationships": {
        "account": {
          "data": {
            "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
            "type": "accounts"
          }
        },
        "bankAccount": {
          "data": {
            "id": "849b4c2d-698b-4bde-9203-5cddcb8ea6e1",
            "type": "bank_accounts"
          }
        }
      },
      "type": "bank_withdrawal_transactions"
    },
    {
      "attributes": {
        "bankBic": "GUPULT22XXX",
        "bankName": "GURU PAY",
        "beneficiaryName": "Acme Ltd",
        "createdAt": "2024-11-21T14:01:20.154Z",
        "currencyCode": "EUR",
        "iban": "LT563400023810000822",
        "updatedAt": "2024-12-27T13:52:12.012Z"
      },
      "id": "849b4c2d-698b-4bde-9203-5cddcb8ea6e1",
      "type": "bank_accounts"
    },
    {
      "attributes": {
        "balance": "32219.80",
        "currencyCode": "EUR",
        "currencyType": "fiat"
      },
      "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      },
      "type": "accounts"
    }
  ],
  "meta": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.txn.io/fiat-settlements/bank-withdrawal-webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
